[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Fatal error: Cannot map library libdb-4.2.so

--On Saturday, June 26, 2004 1:54 PM +0100 Jorge Ruão <jruao@fe.up.pt> wrote:


I've run the "ldd" command, and it answers like this:

52721:slapd: ldd: Fatal Error: Cannot generate dynamic dependencies for
library libdb-4.2.so

I'm sorry, im kind new with OpenLDAP, what could be wrong?

It sounds like it can't find your BDB library. I suggest you set the LD_RUN_PATH environment variable as I suggested previously.


Quanah Gibson-Mount
Principal Software Developer
ITSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html